org.hibernate.search.cfg

## Class FieldMapping

- java.lang.Object
- - org.hibernate.search.cfg.FieldMapping

- Direct Known Subclasses:
    NumericFieldMapping

      public class FieldMapping
      extends Object

  Author:
    Emmanuel Bernard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldMapping` | `analyze(Analyze analyze)`
    `FieldMapping` | `analyzer(Class<?> analyzerClass)`
    `FieldMapping` | `analyzer(String analyzerDef)`
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `FieldMapping` | `boost(float boost)`
    `FieldBridgeMapping` | `bridge(Class<?> impl)`
    `CalendarBridgeMapping` | `calendarBridge(Resolution resolution)`
    `DateBridgeMapping` | `dateBridge(Resolution resolution)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `FacetMapping` | `facet()`
    `FieldMapping` | `field()`
    `FieldMapping` | `index(Index index)`
    `FieldMapping` | `indexNullAs(String indexNullAs)`
    `FieldMapping` | `name(String fieldName)`
    `FieldMapping` | `normalizer(Class<?> analyzerClass)`
    `FieldMapping` | `normalizer(String analyzerDef)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `FieldMapping` | `norms(Norms norms)`
    `NumericFieldMapping` | `numericField()`
    `PropertyMapping` | `property(String name, ElementType type)`
    `SortableFieldMapping` | `sortableField()`
    `FieldMapping` | `store(Store store)`
    `FieldMapping` | `termVector(TermVector termVector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldMapping

          public FieldMapping(PropertyDescriptor property,
                              EntityDescriptor entity,
                              SearchMapping mapping)

  - ### Method Detail

    - #### name

          public FieldMapping name(String fieldName)

    - #### store

          public FieldMapping store(Store store)

    - #### index

          public FieldMapping index(Index index)

    - #### analyze

          public FieldMapping analyze(Analyze analyze)

    - #### norms

          public FieldMapping norms(Norms norms)

    - #### termVector

          public FieldMapping termVector(TermVector termVector)

    - #### boost

          public FieldMapping boost(float boost)

    - #### bridge

          public FieldBridgeMapping bridge(Class<?> impl)

    - #### analyzer

          public FieldMapping analyzer(Class<?> analyzerClass)

    - #### analyzer

          public FieldMapping analyzer(String analyzerDef)

    - #### normalizer

          public FieldMapping normalizer(Class<?> analyzerClass)

    - #### normalizer

          public FieldMapping normalizer(String analyzerDef)

    - #### indexNullAs

          public FieldMapping indexNullAs(String indexNullAs)

    - #### field

          public FieldMapping field()

    - #### numericField

          public NumericFieldMapping numericField()

    - #### sortableField

          public SortableFieldMapping sortableField()

    - #### facet

          public FacetMapping facet()

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### dateBridge

          public DateBridgeMapping dateBridge(Resolution resolution)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### calendarBridge

          public CalendarBridgeMapping calendarBridge(Resolution resolution)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved